ormolu-0.8.0.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Printer.Meat.Module

Description

Rendering of modules.

Synopsis

- p_hsModule :: Maybe LComment -> [([LComment], Pragma)] -> HsModule GhcPs -> R ()

# Documentation

p_hsModule Source #

Arguments

:: Maybe LComment | Stack header
-> [([LComment], Pragma)] | Pragmas and the associated comments
-> HsModule GhcPs | AST to print
-> R () |

Render a module-like entity (either a regular module or a backpack signature).